# Enum CommandName

java.lang.Object
java.lang.Enum<CommandName>
com.databricks.jdbc.dbclient.impl.sqlexec.CommandName

All Implemented Interfaces:
  `Serializable`, `Comparable<CommandName>`, `java.lang.constant.Constable`

public enum CommandName extends Enum<CommandName>

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLOSE_SESSION`
`LIST_CATALOGS`
`LIST_COLUMNS`
`LIST_FOREIGN_KEYS`
`LIST_FUNCTIONS`
`LIST_PRIMARY_KEYS`
`LIST_SCHEMAS`
`LIST_TABLE_TYPES`
`LIST_TABLES`
`LIST_TYPE_INFO`
`OPEN_SESSION`

## Method Summary

Modifier and Type
Method
Description
`static CommandName`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CommandName[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OPEN_SESSION

public static final CommandName OPEN_SESSION

### CLOSE_SESSION

public static final CommandName CLOSE_SESSION

### LIST_TYPE_INFO

public static final CommandName LIST_TYPE_INFO

### LIST_CATALOGS

public static final CommandName LIST_CATALOGS

### LIST_TABLES

public static final CommandName LIST_TABLES

### LIST_PRIMARY_KEYS

public static final CommandName LIST_PRIMARY_KEYS

### LIST_SCHEMAS

public static final CommandName LIST_SCHEMAS

### LIST_TABLE_TYPES

public static final CommandName LIST_TABLE_TYPES

### LIST_COLUMNS

public static final CommandName LIST_COLUMNS

### LIST_FUNCTIONS

public static final CommandName LIST_FUNCTIONS

### LIST_FOREIGN_KEYS

public static final CommandName LIST_FOREIGN_KEYS

## Method Details

### values

public static CommandName[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CommandName valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null